List Billing Contacts¶
Use /contacts/billing to retrieve billing address and associated contact information on your account.
URI¶
GET /api/v1/customers/{customerId}/contacts/billing
Headers¶
| Parameter | Mandatory | Data Type | Allowed Values | Description |
|---|---|---|---|---|
| Request-Tracking-Id | Y | String | Unique Identifier for each request | |
| Authorization | Y | String | Access token | |
| ClientId | Y | String | Will be provided by WM | |
| Accept | N | String | application/json or application/xml | Default is application/json |
Request Parameters¶
Pass the following parameters in the request.
| Parameter | Mandatory | Data Type | Type | Description |
|---|---|---|---|---|
| customerId | Y | Number | path | Unique Customer Identifier |
Response Fields¶
| Parameter | Data Type | Description |
|---|---|---|
| request_tracking_id | String | Unique identifier for each request |
| contacts | Object | The contacts details on account |
| type | String | Set to 'billing' |
| name | String | Name on account |
| first_name | String | First name |
| middle_name | String | Middle name |
| last_name | String | Last name |
| land_line | String | Land line phone number |
| work_phone | String | Work phone number |
| mobile_phone | String | Mobile phone number |
| fax | String | Fax number |
| String | Email address | |
| address | Object | The address details on account |
| street | String | Street name |
| city | String | City |
| country | String | Country code |
| province | String | Canada state name |
| postal_code | String | Canada postal code |
| state | String | US state name |
| zip | String | US postal code |
| zip4 | String | 4 digit extension postal code for US addresses |
| metadata | object | More details regarding contacts |
| cleansed | String | Address cleansed flag(true/false) |
Tip
For information about how to test, see How To Test
Sample Request¶
http://api.wm.com/v1/customers/123456789/contacts/billing
Sample Response¶
{ "request_tracking_id": "8678789", "contacts": [ { "type": "billing", "name": "JOHN, SMITH, "first_name": "JOHN", "last_name": "SMITH", "work_phone": "9147222006", "mobile_phone": "9147322006", "fax": "9141212006", "email": "johnsmith@gmail.COM", "address": { "street": "1021 MAIN ST", "city": "HOUSTON", "country": "US", "metadata": { "cleansed": "false" } } } ]}